## org.biojava.bio.search
Class FilterTest.FindRegex

    java.lang.Object
      org.biojava.bio.search.FilterTest.FindRegex

Enclosing interface:
  FilterTest

    public static class FilterTest.FindRegex

extends Object

Tests that the value associated with the specified key contains a part matched by the supplied regex. A value of false is returned by accept() if a ClassCastException is thrown on comparing the objects.

Constructor Summary
`FilterTest.FindRegex(String regex)`

Method Summary
`boolean` `accept(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterTest.FindRegex

    public FilterTest.FindRegex(String regex)
                         throws PatternSyntaxException

Throws:
  `PatternSyntaxException`

Method Detail

### accept

    public boolean accept(Object value)